// DemoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Demo.h"
#include "DemoDlg.h"
#include <comutil.h>  
#include "USBPassW.h"
#include "USBPassR.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemoDlg dialog

CDemoDlg::CDemoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDemoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDemoDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

}

void CDemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDemoDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDemoDlg, CDialog)
	//{{AFX_MSG_MAP(CDemoDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
	ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
	ON_BN_CLICKED(IDC_BUTTON5, OnButton5)
	ON_BN_CLICKED(IDC_BUTTON6, OnButton6)
	ON_BN_CLICKED(IDC_BUTTON7, OnButton7)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDemoDlg message handlers

BOOL CDemoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDemoDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDemoDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDemoDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CDemoDlg::OnOK() 
{
	// TODO: Add extra validation here
	  bool bl;
      _uPassWrite p;
      p.CreateDispatch("USBPassW.uPassWrite");
      bl=p.PassAbout();
}

void CDemoDlg::OnButton1() 
{
	// TODO: Add your control notification handler code here
      CString str;
	  bool bl;
      _uPassWrite p;
	p.CreateDispatch("USBPassW.uPassWrite");
	bl=p.PassCreate("123","111");
	if (bl)  //操作成功
	{
				//显示信息
		str.Format("%s%s","USB磁盘驱动器   ：",p.GetTBack_DiskName());
		GetDlgItem(Static1)->SetWindowText(str);
		
		str.Format("%s%s","USBPass授权编号 ：",p.GetTBack_DrvKeyNumber());
		GetDlgItem(Static2)->SetWindowText(str);

		DATE ss = p.GetTBack_RegDate();
	    COleDateTime tm(ss);
		str.Format("%s%s","授权写入时间    ：",ss?tm.Format("%Y-%m-%d "):"0");

		GetDlgItem(Static3)->SetWindowText(str);
		str.Format("%s%s","授权软件代码    ：",p.GetTBack_SoftCode());
		GetDlgItem(Static4)->SetWindowText(str);
		str.Format("%s%s","使用单位名称    ：",p.GetTBack_UnitName());
		GetDlgItem(Static5)->SetWindowText(str);
		str.Format("%s%s","自定义一        ：",p.GetTBack_CustomA());
		GetDlgItem(Static6)->SetWindowText(str);
		str.Format("%s%s","自定义二        ：",p.GetTBack_CustomB());
		GetDlgItem(Static7)->SetWindowText(str);
		str.Format("%s%s","是否限制使用次数：",boolToString(p.GetTBack_IsTime()));
		GetDlgItem(Static8)->SetWindowText(str);
		str.Format("%s%d","剩余使用次数    ：",p.GetTBack_UseTime());
		GetDlgItem(Static9)->SetWindowText(str);
		str.Format("%s%s","是否限制使用天数：",boolToString(p.GetTBack_IsTime()));
		GetDlgItem(Static10)->SetWindowText(str);
		str.Format("%s%d","剩余使用天数    ：",p.GetTBack_UseFate());
		GetDlgItem(Static11)->SetWindowText(str);
		str.Format("%s%s","否任意条件触发  ：",boolToString(p.GetTBack_IsTime()));
		GetDlgItem(Static12)->SetWindowText(str);

		DATE dd = p.GetTBack_LastDate();
	    COleDateTime atm(dd);
		str.Format("%s%s","最后使用日期    ：",dd?atm.Format("%Y-%m-%d"):"0");
		GetDlgItem(Static13)->SetWindowText(str);
		str.Format("%s%s","附加信息        ：",p.GetTBack_AnnexInfo());
		GetDlgItem(Static14)->SetWindowText(str);
	}
				//显示错误信息
	   MessageBox(p.GetTBack_MsgStr(),"USBDemo",MB_OK|MB_ICONINFORMATION);


}

void CDemoDlg::OnButton2() 
{
	// TODO: Add your control notification handler code here
      bool bl;
	  CString str;
	  short st = 1;
      _uPassRead p;
      p.CreateDispatch("USBPassR.uPassRead");
      bl=p.PassRead("123",&st);
	   if (bl)  //操作成功
	  {  
		str.Format("%s%s","USB磁盘驱动器   ：",p.GetTBack_DiskName());
		GetDlgItem(Static1)->SetWindowText(str);
		
		str.Format("%s%s","USBPass授权编号 ：",p.GetTBack_DrvKeyNumber());
		GetDlgItem(Static2)->SetWindowText(str);

		DATE ss = p.GetTBack_RegDate();
	    COleDateTime tm(ss);
		str.Format("%s%s","授权写入时间    ：",ss?tm.Format("%Y-%m-%d "):"0");

		GetDlgItem(Static3)->SetWindowText(str);
		str.Format("%s%s","授权软件代码    ：",p.GetTBack_SoftCode());
		GetDlgItem(Static4)->SetWindowText(str);
		str.Format("%s%s","使用单位名称    ：",p.GetTBack_UnitName());
		GetDlgItem(Static5)->SetWindowText(str);
		str.Format("%s%s","自定义一        ：",p.GetTBack_CustomA());
		GetDlgItem(Static6)->SetWindowText(str);
		str.Format("%s%s","自定义二        ：",p.GetTBack_CustomB());
		GetDlgItem(Static7)->SetWindowText(str);
		str.Format("%s%s","是否限制使用次数：",boolToString(p.GetTBack_IsTime()));
		GetDlgItem(Static8)->SetWindowText(str);
		str.Format("%s%d","剩余使用次数    ：",p.GetTBack_UseTime());
		GetDlgItem(Static9)->SetWindowText(str);
		str.Format("%s%s","是否限制使用天数：",boolToString(p.GetTBack_IsTime()));
		GetDlgItem(Static10)->SetWindowText(str);
		str.Format("%s%d","剩余使用天数    ：",p.GetTBack_UseFate());
		GetDlgItem(Static11)->SetWindowText(str);
		str.Format("%s%s","否任意条件触发  ：",boolToString(p.GetTBack_IsTime()));
		GetDlgItem(Static12)->SetWindowText(str);

		DATE dd = p.GetTBack_LastDate();
	    COleDateTime atm(dd);
		str.Format("%s%s","最后使用日期    ：",dd?atm.Format("%Y-%m-%d"):"0");
		GetDlgItem(Static13)->SetWindowText(str);
		str.Format("%s%s","附加信息        ：",p.GetTBack_AnnexInfo());
		GetDlgItem(Static14)->SetWindowText(str);
	  }
		//显示错误信息
		MessageBox(p.GetTBack_MsgStr(),"USBDemo",MB_OK|MB_ICONINFORMATION);

}

void CDemoDlg::OnButton3() 
{
	// TODO: Add your control notification handler code here
	   bool bl;
	  CString str="111";
	  short st = 0;
      _uPassRead p;
      p.CreateDispatch("USBPassR.uPassRead");
      bl=p.PassRead(str,&st);
	   if (bl)  //操作成功
	  {
		str.Format("%s%s","USB磁盘驱动器   ：",p.GetTBack_DiskName());
		GetDlgItem(Static1)->SetWindowText(str);
		
		str.Format("%s%s","USBPass授权编号 ：",p.GetTBack_DrvKeyNumber());
		GetDlgItem(Static2)->SetWindowText(str);

		DATE ss = p.GetTBack_RegDate();
	    COleDateTime tm(ss);
		str.Format("%s%s","授权写入时间    ：",ss?tm.Format("%Y-%m-%d "):"0");

		GetDlgItem(Static3)->SetWindowText(str);
		str.Format("%s%s","授权软件代码    ：",p.GetTBack_SoftCode());
		GetDlgItem(Static4)->SetWindowText(str);
		str.Format("%s%s","使用单位名称    ：",p.GetTBack_UnitName());
		GetDlgItem(Static5)->SetWindowText(str);
		str.Format("%s%s","自定义一        ：",p.GetTBack_CustomA());
		GetDlgItem(Static6)->SetWindowText(str);
		str.Format("%s%s","自定义二        ：",p.GetTBack_CustomB());
		GetDlgItem(Static7)->SetWindowText(str);
		str.Format("%s%s","是否限制使用次数：",boolToString(p.GetTBack_IsTime()));
		GetDlgItem(Static8)->SetWindowText(str);
		str.Format("%s%d","剩余使用次数    ：",p.GetTBack_UseTime());
		GetDlgItem(Static9)->SetWindowText(str);
		str.Format("%s%s","是否限制使用天数：",boolToString(p.GetTBack_IsTime()));
		GetDlgItem(Static10)->SetWindowText(str);
		str.Format("%s%d","剩余使用天数    ：",p.GetTBack_UseFate());
		GetDlgItem(Static11)->SetWindowText(str);
		str.Format("%s%s","否任意条件触发  ：",boolToString(p.GetTBack_IsTime()));
		GetDlgItem(Static12)->SetWindowText(str);
		DATE dd = p.GetTBack_LastDate();
	    COleDateTime atm(dd);
		str.Format("%s%s","最后使用日期    ：",dd?atm.Format("%Y-%m-%d"):"0");
		GetDlgItem(Static13)->SetWindowText(str);
		str.Format("%s%s","附加信息        ：",p.GetTBack_AnnexInfo());
		GetDlgItem(Static14)->SetWindowText(str);
	   }
		//显示错误信息
		MessageBox(p.GetTBack_MsgStr(),"USBDemo",MB_OK|MB_ICONINFORMATION);
}

void CDemoDlg::OnButton4() 
{
	// TODO: Add your control notification handler code here
  	  bool bl;
	  CString ADPassWD="123";
	  short st=1; 
      _uPassWrite p;
      p.CreateDispatch("USBPassW.uPassWrite");
      bl=p.ChangePassWD("123","123", ADPassWD,st);
	  MessageBox(p.GetTBack_MsgStr(),"USBDemo",MB_OK|MB_ICONINFORMATION);
}

void CDemoDlg::OnButton5() 
{
	// TODO: Add your control notification handler code here
	  bool bl;
	  CString ADPassWD="123";
	  short st=0;  
      _uPassWrite p;
      p.CreateDispatch("USBPassW.uPassWrite");
      bl=p.ChangePassWD("111","111", ADPassWD,st);
   	  MessageBox(p.GetTBack_MsgStr(),"USBDemo",MB_OK|MB_ICONINFORMATION);
}

void CDemoDlg::OnButton6() 
{
	// TODO: Add your control notification handler code here
	  bool bl;
	  CString ADPassWD="123";
      _uPassWrite p;
      p.CreateDispatch("USBPassW.uPassWrite");
      bl=p.PassClear(ADPassWD);
	  MessageBox(p.GetTBack_MsgStr(),"USBDemo",MB_OK|MB_ICONINFORMATION);
}

CString CDemoDlg::boolToString(BOOL bol)
{
	return bol?"True":"False";
}

void CDemoDlg::OnButton7() 
{
	// TODO: Add your control notification handler code here

}
